| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/lightmgr.h File Reference

Light manager. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iLightManager
| An engine (3D or iso) can implement this interface for the benefit of mesh objects so that they can request lighting information from the engine. More...
struct | iLightSectorInfluence
| A light-sector influence (LSI). More...

## Detailed Description

Light manager.

Definition in file lightmgr.h.